use std::collections::HashMap;
{}
pub enum AvailableViews {{
    {}
}}

impl AvailableViews {{
    pub fn to_list() -> Vec<&'static str> {{
        vec!(
            {}
        )
    }}
    pub fn get_views() -> HashMap<String, HashMap<String, String>> {{
        let mut views: HashMap<String, HashMap<String, String>> = HashMap::new();

        {}

        views
    }}
}}
